function AISMN_Reaction_RunAway::OnEnter(%this,%obj)
{
	%obj.StartReaction("threat",1.0);
	GetThisObject(%obj).playVocal("SBA");
   return;
}

function AISMN_Reaction_RunAway::OnExit(%this,%obj)
{
   return;
}

function AISMN_Reaction_RunAway::Update(%this,%obj)
{
   // Matt's magic number to keep civilian in state so that they
   // don't vocalize the bandit attack immediately and run away again
   if(TimeInNode(%obj) >= 5)
   {
      ReturnValue(%obj, 0);
   }
   else
   {
      ReturnValue(%obj,-1);
   }
   return;
}